Entur Developer
Seating manager

Get sorting properties for a tenant.

GET
https://api.entur.io/seating-manager
/v1-beta/sorting

Sorting properties control the order in which reservations are rebooked.

Get sorting properties for a tenant. › query Parameters

ownerOrganisationId
​integer · int64 · style: form · explode: true

Get sorting properties for a tenant. › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get sorting properties for a tenant. › Responses

200

OK

Sorting property for rebooking of reservations.
sortingKey
​string · required

Sorting key.

Example: NuisanceFacilityEnum.noAnimals
sortingValue
​integer · int32 · required

Sorting value.

Example: 2

Reset sorting properties for a tenant.

PUT
https://api.entur.io/seating-manager
/v1-beta/sorting

Sorting properties control the order in which reservations are rebooked.This function will delete all existing sorting priorities for the tenant and then insert the new ones.

Reset sorting properties for a tenant. › query Parameters

ownerOrganisationId
​integer · int64 · style: form · explode: true

Reset sorting properties for a tenant. › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Reset sorting properties for a tenant. › Request Body

Sorting property for rebooking of reservations.
sortingKey
​string · required

Sorting key.

Example: NuisanceFacilityEnum.noAnimals
sortingValue
​integer · int32 · required

Sorting value.

Example: 2

Reset sorting properties for a tenant. › Responses

200

OK

Sorting property for rebooking of reservations.
sortingKey
​string · required

Sorting key.

Example: NuisanceFacilityEnum.noAnimals
sortingValue
​integer · int32 · required

Sorting value.

Example: 2

Did you find what you were looking for?